## cr-stylesheet cr-stylesheet |

## Functions

CRStyleSheet * | cr_stylesheet_new ()
gchar * | cr_stylesheet_to_string ()
void | cr_stylesheet_dump ()
gint | cr_stylesheet_nr_rules ()
CRStatement * | cr_stylesheet_statement_get_from_list ()
void | cr_stylesheet_ref ()
gboolean | cr_stylesheet_unref ()
void | cr_stylesheet_destroy ()

## Types and Values

| CRStyleSheet

## Description

## Functions

### cr_stylesheet_new ()

    CRStyleSheet *
    cr_stylesheet_new (CRStatement *a_stmts);

### cr_stylesheet_to_string ()

    gchar *
    cr_stylesheet_to_string (CRStyleSheet const *a_this);

### cr_stylesheet_dump ()

    void
    cr_stylesheet_dump (CRStyleSheet const *a_this,
                        FILE *a_fp);

### cr_stylesheet_nr_rules ()

    gint
    cr_stylesheet_nr_rules (CRStyleSheet const *a_this);

### cr_stylesheet_statement_get_from_list ()

    CRStatement *
    cr_stylesheet_statement_get_from_list (CRStyleSheet *a_this,
                                           int itemnr);

### cr_stylesheet_ref ()

    void
    cr_stylesheet_ref (CRStyleSheet *a_this);

### cr_stylesheet_unref ()

    gboolean
    cr_stylesheet_unref (CRStyleSheet *a_this);

### cr_stylesheet_destroy ()

    void
    cr_stylesheet_destroy (CRStyleSheet *a_this);

## Types and Values

### CRStyleSheet

    typedef struct {
    	/**The css statements list*/
    	CRStatement *statements ;

            enum CRStyleOrigin origin ;

            /*the parent import rule, if any.*/
            CRStatement *parent_import_rule ;

    	/**custom data used by libcroco*/
    	gpointer croco_data ;

    	/**
    	 *custom application data pointer
    	 *Can be used by applications.
    	 */
    	gpointer app_data ;

    	/**
    	 *the reference count of this insance
    	 *Please, don't never ever modify it
    	 *directly. Use cr_stylesheet_ref()
    	 *and cr_stylesheet_unref() instead.
    	 */
    	gulong ref_count ;
    } CRStyleSheet;